=== core-initrd/24.04/debian/changelog ===
ubuntu-core-initramfs (69+2.70+g138.873912a+24.04) noble; urgency=medium

  * Update to snapd version 2.70+g138.873912a

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Thu, 03 Jul 2025 21:49:35 -0400

ubuntu-core-initramfs (69+2.70+g50.d4bfa73+24.04) noble; urgency=medium

  * Update to snapd version 2.70+g50.d4bfa73

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Thu, 12 Jun 2025 10:16:34 -0400

ubuntu-core-initramfs (69+2.69+g139.0b18e2d+24.04) noble; urgency=medium

  * Update to snapd version 2.69+g139.0b18e2d

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Wed, 21 May 2025 15:31:34 -0400

ubuntu-core-initramfs (69+2.69+g104.4871148+24.04) noble; urgency=medium

  * Update to snapd version 2.69+g104.4871148

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Wed, 30 Apr 2025 13:13:00 -0400

ubuntu-core-initramfs (69+2.68.2+g116.194fb1d+24.04) noble; urgency=medium

  * Update to snapd version 2.68.2+g116.194fb1d

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Fri, 07 Mar 2025 17:01:51 -0500

ubuntu-core-initramfs (69+2.68.2+24.04) noble; urgency=medium

  * Update to snapd version 2.68.2

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Mon, 03 Mar 2025 09:38:06 -0500

ubuntu-core-initramfs (69+2.68+g387.699b1b4+24.04) noble; urgency=medium

  * Update to snapd version 2.68+g387.699b1b4

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Thu, 20 Feb 2025 07:46:14 -0500

ubuntu-core-initramfs (69+2.67+git124.g98d9ab6+24.04) noble; urgency=medium

  * Update to snapd version 2.67+git124.g98d9ab6

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Wed, 08 Jan 2025 13:51:11 -0500

ubuntu-core-initramfs (68) noble; urgency=medium

  [ Valentin David ]
  * Fix path to /sbin/modprobe
  * Workaround wrong path to dmsetup
  * Workaround /usr/lib/modules path being prefixed with sysroot
  * Remove systemd-tpm2 services

  [ Alfonso Sanchez-Beato ]
  * HACKING.md: adapt to changes in mantic and forward
  * Make sure the initramfs can be cross-built
  * Include dbus files for org.freedesktop.systemd1
  * Create manifest with used packages

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Mon, 08 Apr 2024 20:36:26 +0100

ubuntu-core-initramfs (67) noble; urgency=medium

  * Bumping version for noble release

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Fri, 09 Feb 2024 08:57:32 +0000

ubuntu-core-initramfs (66) jammy; urgency=medium

  [ Dimitri John Ledkov ]
  * Enable riscv64 build

  [ Philip Meulengracht ]
  * github: fix the lxd-image workflow

  [ Alfonso Sanchez-Beato ]
  * tests: avoid interactions when using apt
  * bin/ubuntu-core-initramfs: fix ubuntu-core-initramfs crash
  * Update to systemd 249.11-0ubuntu3.6
  * Add GPU and input virtio modules
  * Include cryptsetup from FDE ICE PPA (no sources changed)
  * Include snapd 2.59 (no sources changed)

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Wed, 22 Mar 2023 13:30:31 +0000

ubuntu-core-initramfs (65) jammy; urgency=medium

  * Build from "main" branch to include fix:
   - "Wait 10 seconds before emergency reboot"

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Jan 2023 17:39:17 +0100

ubuntu-core-initramfs (64) jammy; urgency=medium

  * No change rebuild to pick up snapd 2.58.1+22.04

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Jan 2023 17:29:55 +0100

ubuntu-core-initramfs (63) jammy; urgency=medium

  * No change rebuild to pick up snapd 2.58~rc2+22.04

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Wed, 23 Nov 2022 10:42:40 +0000

ubuntu-core-initramfs (62) jammy; urgency=medium

  [ Valentin David ]
  * factory: add generator for kernel mount points on classic. This is
    a fix for a regression introduced in 61.

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Fri, 18 Nov 2022 18:49:04 +0000

ubuntu-core-initramfs (61) jammy; urgency=medium

  [ Dimitri John Ledkov ]
  * debian/rules: drop cloudimg-rootfs forked snap-bootstrap, as support
    for it is now merged into snapd.

  [ Valentin David ]
  * factory: move mount units into /etc/fstab, so rootfs systemd can track them.

  [ Alfonso Sanchez-Beato ]
  * factory,debian: include plymouth classic splash and use it if starting
    classic.

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Wed, 09 Nov 2022 11:18:04 +0000

ubuntu-core-initramfs (60) jammy; urgency=medium

  [ Valentin David ]
  * Break cycle with plymouth systemd-password
  * Remove populate-writable.service from basic.target

  [ Alfonso Sanchez-Beato ]
  * Include intel drm module in initramfs, for splash

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Thu, 29 Sep 2022 11:20:59 +0100

ubuntu-core-initramfs (59) jammy; urgency=medium

  * No change release to pick up snapd 2.57.3

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Thu, 15 Sep 2022 19:38:42 +0100

ubuntu-core-initramfs (58) jammy; urgency=medium

  [ Valentin David ]
  * Do not forward journal to console when quiet

  [ Alfonso Sanchez-Beato ]
  * Support for splash screen

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Thu, 08 Sep 2022 17:25:24 +0100

ubuntu-core-initramfs (57) jammy; urgency=medium

  * Fix cloudimg-rootfs feature in jammy.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 15 Aug 2022 16:09:50 +0100

ubuntu-core-initramfs (56) jammy; urgency=medium

  [ Valentin David ]
  * Update systemd to 249.11-0ubuntu3
  * Fix recovery chooser trigger on NUC
  * Print warnings when modules are force loaded when they don't need to
  * Move modules that do not need force-loading to modules folder
  * debian/rules: Remove more unused systemd files
  * Mount UC mounts only when UC is detected

  [ Jian Hui Lee ]
  * add required drivers on Intel platform

  [ Alfonso Sanchez-Beato ]

