=== core-initrd/25.04/debian/changelog ===
ubuntu-core-initramfs (71+2.70+g138.873912a+25.04) plucky; urgency=medium

  * Update to snapd version 2.70+g138.873912a

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Thu, 03 Jul 2025 21:50:25 -0400

ubuntu-core-initramfs (71+2.70+g50.d4bfa73+25.04) plucky; urgency=medium

  * Update to snapd version 2.70+g50.d4bfa73

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Thu, 12 Jun 2025 10:17:25 -0400

ubuntu-core-initramfs (71+2.69+g139.0b18e2d+25.04) plucky; urgency=medium

  * Update to snapd version 2.69+g139.0b18e2d

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Wed, 21 May 2025 15:32:20 -0400

ubuntu-core-initramfs (71+2.69+g104.4871148+25.04) plucky; urgency=medium

  * Update to snapd version 2.69+g104.4871148

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Wed, 30 Apr 2025 13:14:10 -0400

ubuntu-core-initramfs (71+2.68.2+g116.194fb1d+25.04) plucky; urgency=medium

  * Update to snapd version 2.68.2+g116.194fb1d

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Fri, 07 Mar 2025 17:02:35 -0500

ubuntu-core-initramfs (71+2.68.2+25.04) plucky; urgency=medium

  * Update to snapd version 2.68.2

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Mon, 03 Mar 2025 09:38:49 -0500

ubuntu-core-initramfs (71+2.68+g387.699b1b4+24.10ubuntu1) plucky; urgency=medium

  * First plucky release

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Thu, 20 Feb 2025 07:55:44 -0500

ubuntu-core-initramfs (70+2.68+g387.699b1b4+24.10) oracular; urgency=medium

  * Update to snapd version 2.68+g387.699b1b4

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Thu, 20 Feb 2025 07:46:35 -0500

ubuntu-core-initramfs (70+2.67+git124.g98d9ab6+24.10) oracular; urgency=medium

  * Update to snapd version 2.67+git124.g98d9ab6

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Wed, 08 Jan 2025 13:52:06 -0500

ubuntu-core-initramfs (69) oracular; urgency=medium

  * Add systemd-cryptsetup, which is now a separate package, and libkmod2.
    that is dlopen'ed by systemd now.

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Mon, 07 Oct 2024 12:10:15 -0400
