## snapd 2.71.1+ubuntu25.10.1

=== core-initrd/24.10/debian/changelog ===
ubuntu-core-initramfs (70+2.70+g138.873912a+24.10) oracular; urgency=medium

  * Update to snapd version 2.70+g138.873912a

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Thu, 03 Jul 2025 21:50:02 -0400

ubuntu-core-initramfs (70+2.70+g50.d4bfa73+24.10) oracular; urgency=medium

  * Update to snapd version 2.70+g50.d4bfa73

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Thu, 12 Jun 2025 10:17:03 -0400

ubuntu-core-initramfs (70+2.69+g139.0b18e2d+24.10) oracular; urgency=medium

  * Update to snapd version 2.69+g139.0b18e2d

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Wed, 21 May 2025 15:32:00 -0400

ubuntu-core-initramfs (70+2.69+g104.4871148+24.10) oracular; urgency=medium

  * Update to snapd version 2.69+g104.4871148

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Wed, 30 Apr 2025 13:13:39 -0400

ubuntu-core-initramfs (70+2.68.2+g116.194fb1d+24.10) oracular; urgency=medium

  * Update to snapd version 2.68.2+g116.194fb1d

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Fri, 07 Mar 2025 17:02:21 -0500

ubuntu-core-initramfs (70+2.68.2+24.10) oracular; urgency=medium

  * Update to snapd version 2.68.2

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Mon, 03 Mar 2025 09:38:27 -0500
